<div class="merchant-box">
  <div class="merchant-box__card">
    <p class="note">
      {{ "MERCHANT_MANAGER.NEW_GROUP.MERCHANTS.MERCHANT_BOX_NOTE" | translate }}
    </p>
    <div class="merchants-container">
      <div
        class="merchants-container__item"
        *ngFor="let merchant of merchantsSelected$ | async"
      >
        <span class="name">{{ merchant?.display_name }}</span>
        <layout-icon icon="uil-times-circle" (click)="onRemoveItem(merchant)">
        </layout-icon>
      </div>
    </div>
  </div>
  <div class="merchant-box__buttons">
    <mo-button
      [text]="'MERCHANT_MANAGER.NEW_GROUP.MERCHANTS.BTN_CANCEL' | translate"
      [designClass]="BUTTON_DESIGN_CLASS.OUTLINE_PRIMARY"
      [displayBlock]="true"
      [size]="SIZES.MD"
      [routerLink]="urlMerchantGroup"
      (click)="onCancel()"
    >
    </mo-button>
    <mo-button
      [text]="'MERCHANT_MANAGER.NEW_GROUP.MERCHANTS.BTN_CONTINUE' | translate"
      [designClass]="BUTTON_DESIGN_CLASS.PRIMARY_WHITE"
      [displayBlock]="true"
      [size]="SIZES.MD"
      (click)="onConfirm()"
      [isDisabled]="
        !(merchantsSelected$ | async) ||
        (merchantsSelected$ | async)?.length == 0
      "
    >
    </mo-button>
  </div>
</div>
